---
layout: docs
page_title: groups create - Command
description: >-
  The "groups create" command creates a new group resource.
---

# groups create

Command: `boundary groups create`

The `groups create` command lets you create a new group.

## Examples

The following example creates a group, `group01` in the scope `o_R0wbo0H6Zl`:

```shell-session
$ boundary groups create -name "group01" \
   -description "A test group" \
   -scope-id o_R0wbo0H6Zl
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Group information:
  Created Time:        Thu, 24 Aug 2023 09:51:44 PDT
  Description:         A test group
  ID:                  g_XzlDiNLgoz
  Name:                group01
  Updated Time:        Thu, 24 Aug 2023 09:51:44 PDT
  Version:             1

  Scope:
    ID:                o_R0wbo0H6Zl
    Name:              quick-start-org
    Parent Scope ID:   global
    Type:              org

  Authorized Actions:
    no-op
    read
    update
    delete
    add-members
    set-members
    remove-members
```

</CodeBlockConfig>


## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary groups create [options] [args]
```

</CodeBlockConfig>


### Command options

- `-description` `(string: "")` - A description to set on the new group.
- `-name` `(string: "")` - A name to set on the new group.
- `-scope-id` `(string: "")` - The scope in which to create the group.
The default value is `global`.
You can also specify a scope using the **BOUNDARY_SCOPE_ID** environment variable.

@include 'cmd-option-note.mdx'